<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Mon Sep 15 15:27:45 CEST 2014 -->
<title>DPathSearch.DPathSearchBaseElement</title>
<meta name="date" content="2014-09-15">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearch.DPathSearchBaseElement";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearch.DPathSearchBaseElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" target="_top">Frames</a></li>
<li><a href="DPathSearch.DPathSearchBaseElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class DPathSearch.DPathSearchBaseElement" class="title">Class DPathSearch.DPathSearchBaseElement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">DPathSearch.DPathSearchBaseElement</span>
extends java.lang.Object</pre>
<div class="block">Get from the result of an elasticsearch hit (from the prefetch), the base material for the query</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.HashMap&lt;java.lang.String,java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#cacheTable">cacheTable</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#edges">edges</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#nodeids">nodeids</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#nodes">nodes</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#roots">roots</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#sentence">sentence</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#sid">sid</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#DPathSearch.DPathSearchBaseElement(com.mongodb.BasicDBObject)">DPathSearch.DPathSearchBaseElement</a></strong>(com.mongodb.BasicDBObject&nbsp;indexedSentence)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getAscendants(java.lang.String)">getAscendants</a></strong>(java.lang.String&nbsp;nodeid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getDescendants(java.lang.String)">getDescendants</a></strong>(java.lang.String&nbsp;nodeid)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getEdgeDirection(com.mongodb.BasicDBObject)">getEdgeDirection</a></strong>(com.mongodb.BasicDBObject&nbsp;edge)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getEntrySet(java.lang.String)">getEntrySet</a></strong>(java.lang.String&nbsp;entrySet)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getIn(java.lang.String)">getIn</a></strong>(java.lang.String&nbsp;nodeid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getNext(com.mongodb.BasicDBObject)">getNext</a></strong>(com.mongodb.BasicDBObject&nbsp;node)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getNode(java.lang.String)">getNode</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getNodePosition(java.lang.String)">getNodePosition</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getOut(java.lang.String)">getOut</a></strong>(java.lang.String&nbsp;nodeid)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getPrev(com.mongodb.BasicDBObject)">getPrev</a></strong>(com.mongodb.BasicDBObject&nbsp;node)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html#getRoots()">getRoots</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="nodes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodes</h4>
<pre>public&nbsp;com.mongodb.BasicDBList nodes</pre>
</li>
</ul>
<a name="edges">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>edges</h4>
<pre>public&nbsp;com.mongodb.BasicDBList edges</pre>
</li>
</ul>
<a name="sid">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sid</h4>
<pre>public&nbsp;java.lang.String sid</pre>
</li>
</ul>
<a name="sentence">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sentence</h4>
<pre>public&nbsp;java.lang.String sentence</pre>
</li>
</ul>
<a name="nodeids">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodeids</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt; nodeids</pre>
</li>
</ul>
<a name="roots">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>roots</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt; roots</pre>
</li>
</ul>
<a name="cacheTable">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>cacheTable</h4>
<pre>public&nbsp;java.util.HashMap&lt;java.lang.String,java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt; cacheTable</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathSearch.DPathSearchBaseElement(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathSearch.DPathSearchBaseElement</h4>
<pre>public&nbsp;DPathSearch.DPathSearchBaseElement(com.mongodb.BasicDBObject&nbsp;indexedSentence)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRoots()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoots</h4>
<pre>private&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getRoots()</pre>
</li>
</ul>
<a name="getNodePosition(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNodePosition</h4>
<pre>public&nbsp;int&nbsp;getNodePosition(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="getEdgeDirection(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEdgeDirection</h4>
<pre>public&nbsp;boolean&nbsp;getEdgeDirection(com.mongodb.BasicDBObject&nbsp;edge)</pre>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>edge</code> - </dd>
<dt><span class="strong">Returns:</span></dt><dd>true if directed to the right, false otherwise</dd></dl>
</li>
</ul>
<a name="getNode(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNode</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getNode(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="getEntrySet(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEntrySet</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getEntrySet(java.lang.String&nbsp;entrySet)</pre>
</li>
</ul>
<a name="getOut(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOut</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getOut(java.lang.String&nbsp;nodeid)</pre>
</li>
</ul>
<a name="getDescendants(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDescendants</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getDescendants(java.lang.String&nbsp;nodeid)</pre>
</li>
</ul>
<a name="getAscendants(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAscendants</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getAscendants(java.lang.String&nbsp;nodeid)</pre>
</li>
</ul>
<a name="getIn(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIn</h4>
<pre>public&nbsp;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;getIn(java.lang.String&nbsp;nodeid)</pre>
</li>
</ul>
<a name="getPrev(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrev</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getPrev(com.mongodb.BasicDBObject&nbsp;node)</pre>
</li>
</ul>
<a name="getNext(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getNext</h4>
<pre>public&nbsp;com.mongodb.BasicDBObject&nbsp;getNext(com.mongodb.BasicDBObject&nbsp;node)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearch.DPathSearchBaseElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchMacroManager.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" target="_top">Frames</a></li>
<li><a href="DPathSearch.DPathSearchBaseElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
